Як оновити phpMyAdmin на сервері під керуванням CentOS Web Panel (версія CentOS Web Panel до 0.9.8.183)

Перейшовши в phpMyAdmin Ви можете побачити таке повідомлення:

Для оновлення phpMyAdmin потрібно виконати наступне:

 

1. Перед оновленням створимо резервну копію поточного стану phpMyAdmin.

Створюємо папку для резервної копії.

mkdir /home/phpmyadmin_backup

Копіюємо поточний стан phpMyAdmin в створену папку.

cp -rv /usr/local/apache/htdocs/phpMyAdmin/* /home/phpmyadmin_backup

2. Завантажуємо і розпаковуємо phpMyAdmin

Переходимо в папку, куди будемо завантажувати вихідні дані

cd /usr/local/src

Завантажуємо архів з файлами

wget https://files.phpmyadmin.net/phpMyAdmin/4.5.0/phpMyAdmin-4.5.0-all-languages.zip

Розпаковуємо завантажений архів

unzip phpMyAdmin-4.5.0-all-languages.zip

Переходимо в папку з файлами

cd phpMyAdmin-4.5.0-all-languages

3. Скопіюйте всі файли в папку phpMyAdmin поточної версії

yes | cp -rv * /usr/local/apache/htdocs/phpMyAdmin/

4. Коригуємо "власника" всіх файлів і папок

Переходимо в папку з файлами phpMyAdmin

cd /usr/local/apache/htdocs/phpMyAdmin

Виставляємо коректного власника

chown -R nobody:nobody *

5. Перезавантажуємо Apache

/etc/init.d/httpd restart

6. Знову заходимо в phpMyAdmin і перевіряємо версію:

 

 

Якщо на сервері встановлена стара версія php - ви можете побачити наступне повідомлення - PHP 5.5+ is required.

Це означає, що вам потрібно оновити версію php на сервері. Панель CentOS Web Panel дозволяє це зробити в кілька кроків через інтерфейс самої панелі. Детальніше ми розповімо далі.

Якщо після поновлення php ви при переході до phpMyAdmin отримаєте повідомлення - phpMyAdmin - помилка: необхідно оновити MySQL до версії 5.5.0 або вище - Вам так само потрібно буде оновити і MySQL.

Про це наступна наша інструкція.

Ця відповідь Вам допомогла? 0 Користувачі, які знайшли це корисним (14 Голосів)